import React from 'react';
import type { AllPreferences } from 'compass-preferences-model/provider';
import { CompassWebPreferencesAccess } from 'compass-preferences-model/provider';
export type SandboxPreferencesUpdateTrigger = (updatePreference: (preferences: Partial<AllPreferences>) => Promise<void>) => () => void;
/**
 * Only used in the sandbox to provide a way to update preferences.
 * @internal
 */
export declare const SandboxPreferencesUpdateProvider: ({ value, children, }: {
    value: SandboxPreferencesUpdateTrigger | null;
    children: React.ReactNode;
}) => React.JSX.Element;
export declare function useCompassWebPreferences(initialPreferences?: Partial<AllPreferences>): React.MutableRefObject<CompassWebPreferencesAccess>;
//# sourceMappingURL=preferences.d.ts.map